Developers

Getting Started

Our Android and iOS SDKs enable location-based marketing via the use of Geofencing and Beacons inside your mobile app.

Requirements

  • Android:
    Minimun SDK API 19: Android 4.4 (Kitkat)
  • iOS:
    XCode, Swift 3.2, Cocapods

Initial Setup Steps

In order to fully use our SDKs, you must be registered as a developer with LOCALLY so that you can add your app to the Dev section of our Platform.

Next you’ll need to Integrate our SDK(s).

Using Locally

Once you’re setup, you’re ready to enable Geofence monitoring, Beacon monitoring and Push Notifications. You’ll also be able to customize how Locally-provided content is handled.

For additional questions or technical support, please contact developers@locally.io